package utils

import (
	"os"
	"os/exec"
)

// BlankOpen 打开屏幕
func BlankOpen() {
	if found, err := exec.LookPath("xset"); err == nil {
		exec.Command(found, "dpms", "force", "on").Run()
		return
	}
	os.WriteFile("/sys/class/graphics/fb0/blank", []byte("0"), 0644)
}

// BlankClose 关闭屏幕
func BlankClose() {
	if found, err := exec.LookPath("xset"); err == nil {
		exec.Command(found, "dpms", "force", "off").Run()
		return
	}
	os.WriteFile("/sys/class/graphics/fb0/blank", []byte("1"), 0644)
}
